using System;
using System.Collections.Generic;
using System.Text;

namespace TrendCtrlII
{
    public partial class CUserCursor
    {
        private short _idx = 0;
        private Int64 _time = 0;
        private Single _value = 0;
        private Single _newx = 0;

        public CUserCursor(short pidx, Int64 ptime, Single px)
        {
            _idx = pidx;
            _time = ptime;
            _newx = px;
        }
        public Int64 Time
        {
            get { return this._time; }
            set { this._time = value; }
        }
        public short Idx
        {
            get { return this._idx; }
            set { this._idx = value; }
        }
        public Single Value
        {
            get { return this._value; }
            set { this._value = value; }
        }
        public Single Newx
        {
            get { return this._newx; }
            set { this._newx = value; }
        }
    }
}
